<?php declare(strict_types=1);

namespace App\Dto\Request;

final readonly class Authorization extends Dto
{
    public function __construct(
        private string $email,
        private string $password,
        private bool   $remember = false
    ) { }

    public function getEmail(): string
    {
        return $this->email;
    }

    public function getPassword(): string
    {
        return $this->password;
    }

    public function getRemember(): bool
    {
        return $this->remember;
    }
}
